// Code generated by "libovsdb.modelgen"
// DO NOT EDIT.

package nbdb

import "github.com/ovn-org/libovsdb/model"

const NATTable = "NAT"

type (
	NATType = string
)

var (
	NATTypeDNAT        NATType = "dnat"
	NATTypeSNAT        NATType = "snat"
	NATTypeDNATAndSNAT NATType = "dnat_and_snat"
)

// NAT defines an object in NAT table
type NAT struct {
	UUID              string            `ovsdb:"_uuid"`
	AllowedExtIPs     *string           `ovsdb:"allowed_ext_ips"`
	ExemptedExtIPs    *string           `ovsdb:"exempted_ext_ips"`
	ExternalIDs       map[string]string `ovsdb:"external_ids"`
	ExternalIP        string            `ovsdb:"external_ip"`
	ExternalMAC       *string           `ovsdb:"external_mac"`
	ExternalPortRange string            `ovsdb:"external_port_range"`
	GatewayPort       *string           `ovsdb:"gateway_port"`
	LogicalIP         string            `ovsdb:"logical_ip"`
	LogicalPort       *string           `ovsdb:"logical_port"`
	Match             string            `ovsdb:"match"`
	Options           map[string]string `ovsdb:"options"`
	Priority          int               `ovsdb:"priority"`
	Type              NATType           `ovsdb:"type"`
}

func (a *NAT) GetUUID() string {
	return a.UUID
}

func (a *NAT) GetAllowedExtIPs() *string {
	return a.AllowedExtIPs
}

func copyNATAllowedExtIPs(a *string) *string {
	if a == nil {
		return nil
	}
	b := *a
	return &b
}

func equalNATAllowedExtIPs(a, b *string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if a == b {
		return true
	}
	return *a == *b
}

func (a *NAT) GetExemptedExtIPs() *string {
	return a.ExemptedExtIPs
}

func copyNATExemptedExtIPs(a *string) *string {
	if a == nil {
		return nil
	}
	b := *a
	return &b
}

func equalNATExemptedExtIPs(a, b *string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if a == b {
		return true
	}
	return *a == *b
}

func (a *NAT) GetExternalIDs() map[string]string {
	return a.ExternalIDs
}

func copyNATExternalIDs(a map[string]string) map[string]string {
	if a == nil {
		return nil
	}
	b := make(map[string]string, len(a))
	for k, v := range a {
		b[k] = v
	}
	return b
}

func equalNATExternalIDs(a, b map[string]string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if len(a) != len(b) {
		return false
	}
	for k, v := range a {
		if w, ok := b[k]; !ok || v != w {
			return false
		}
	}
	return true
}

func (a *NAT) GetExternalIP() string {
	return a.ExternalIP
}

func (a *NAT) GetExternalMAC() *string {
	return a.ExternalMAC
}

func copyNATExternalMAC(a *string) *string {
	if a == nil {
		return nil
	}
	b := *a
	return &b
}

func equalNATExternalMAC(a, b *string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if a == b {
		return true
	}
	return *a == *b
}

func (a *NAT) GetExternalPortRange() string {
	return a.ExternalPortRange
}

func (a *NAT) GetGatewayPort() *string {
	return a.GatewayPort
}

func copyNATGatewayPort(a *string) *string {
	if a == nil {
		return nil
	}
	b := *a
	return &b
}

func equalNATGatewayPort(a, b *string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if a == b {
		return true
	}
	return *a == *b
}

func (a *NAT) GetLogicalIP() string {
	return a.LogicalIP
}

func (a *NAT) GetLogicalPort() *string {
	return a.LogicalPort
}

func copyNATLogicalPort(a *string) *string {
	if a == nil {
		return nil
	}
	b := *a
	return &b
}

func equalNATLogicalPort(a, b *string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if a == b {
		return true
	}
	return *a == *b
}

func (a *NAT) GetMatch() string {
	return a.Match
}

func (a *NAT) GetOptions() map[string]string {
	return a.Options
}

func copyNATOptions(a map[string]string) map[string]string {
	if a == nil {
		return nil
	}
	b := make(map[string]string, len(a))
	for k, v := range a {
		b[k] = v
	}
	return b
}

func equalNATOptions(a, b map[string]string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if len(a) != len(b) {
		return false
	}
	for k, v := range a {
		if w, ok := b[k]; !ok || v != w {
			return false
		}
	}
	return true
}

func (a *NAT) GetPriority() int {
	return a.Priority
}

func (a *NAT) GetType() NATType {
	return a.Type
}

func (a *NAT) DeepCopyInto(b *NAT) {
	*b = *a
	b.AllowedExtIPs = copyNATAllowedExtIPs(a.AllowedExtIPs)
	b.ExemptedExtIPs = copyNATExemptedExtIPs(a.ExemptedExtIPs)
	b.ExternalIDs = copyNATExternalIDs(a.ExternalIDs)
	b.ExternalMAC = copyNATExternalMAC(a.ExternalMAC)
	b.GatewayPort = copyNATGatewayPort(a.GatewayPort)
	b.LogicalPort = copyNATLogicalPort(a.LogicalPort)
	b.Options = copyNATOptions(a.Options)
}

func (a *NAT) DeepCopy() *NAT {
	b := new(NAT)
	a.DeepCopyInto(b)
	return b
}

func (a *NAT) CloneModelInto(b model.Model) {
	c := b.(*NAT)
	a.DeepCopyInto(c)
}

func (a *NAT) CloneModel() model.Model {
	return a.DeepCopy()
}

func (a *NAT) Equals(b *NAT) bool {
	return a.UUID == b.UUID &&
		equalNATAllowedExtIPs(a.AllowedExtIPs, b.AllowedExtIPs) &&
		equalNATExemptedExtIPs(a.ExemptedExtIPs, b.ExemptedExtIPs) &&
		equalNATExternalIDs(a.ExternalIDs, b.ExternalIDs) &&
		a.ExternalIP == b.ExternalIP &&
		equalNATExternalMAC(a.ExternalMAC, b.ExternalMAC) &&
		a.ExternalPortRange == b.ExternalPortRange &&
		equalNATGatewayPort(a.GatewayPort, b.GatewayPort) &&
		a.LogicalIP == b.LogicalIP &&
		equalNATLogicalPort(a.LogicalPort, b.LogicalPort) &&
		a.Match == b.Match &&
		equalNATOptions(a.Options, b.Options) &&
		a.Priority == b.Priority &&
		a.Type == b.Type
}

func (a *NAT) EqualsModel(b model.Model) bool {
	c := b.(*NAT)
	return a.Equals(c)
}

var _ model.CloneableModel = &NAT{}
var _ model.ComparableModel = &NAT{}
