// Code generated by "libovsdb.modelgen"
// DO NOT EDIT.

package sbdb

import "github.com/ovn-org/libovsdb/model"

const LoadBalancerTable = "Load_Balancer"

type (
	LoadBalancerProtocol = string
)

var (
	LoadBalancerProtocolTCP  LoadBalancerProtocol = "tcp"
	LoadBalancerProtocolUDP  LoadBalancerProtocol = "udp"
	LoadBalancerProtocolSCTP LoadBalancerProtocol = "sctp"
)

// LoadBalancer defines an object in Load_Balancer table
type LoadBalancer struct {
	UUID            string                `ovsdb:"_uuid"`
	DatapathGroup   *string               `ovsdb:"datapath_group"`
	Datapaths       []string              `ovsdb:"datapaths"`
	ExternalIDs     map[string]string     `ovsdb:"external_ids"`
	LrDatapathGroup *string               `ovsdb:"lr_datapath_group"`
	LsDatapathGroup *string               `ovsdb:"ls_datapath_group"`
	Name            string                `ovsdb:"name"`
	Options         map[string]string     `ovsdb:"options"`
	Protocol        *LoadBalancerProtocol `ovsdb:"protocol"`
	Vips            map[string]string     `ovsdb:"vips"`
}

func (a *LoadBalancer) GetUUID() string {
	return a.UUID
}

func (a *LoadBalancer) GetDatapathGroup() *string {
	return a.DatapathGroup
}

func copyLoadBalancerDatapathGroup(a *string) *string {
	if a == nil {
		return nil
	}
	b := *a
	return &b
}

func equalLoadBalancerDatapathGroup(a, b *string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if a == b {
		return true
	}
	return *a == *b
}

func (a *LoadBalancer) GetDatapaths() []string {
	return a.Datapaths
}

func copyLoadBalancerDatapaths(a []string) []string {
	if a == nil {
		return nil
	}
	b := make([]string, len(a))
	copy(b, a)
	return b
}

func equalLoadBalancerDatapaths(a, b []string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if len(a) != len(b) {
		return false
	}
	for i, v := range a {
		if b[i] != v {
			return false
		}
	}
	return true
}

func (a *LoadBalancer) GetExternalIDs() map[string]string {
	return a.ExternalIDs
}

func copyLoadBalancerExternalIDs(a map[string]string) map[string]string {
	if a == nil {
		return nil
	}
	b := make(map[string]string, len(a))
	for k, v := range a {
		b[k] = v
	}
	return b
}

func equalLoadBalancerExternalIDs(a, b map[string]string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if len(a) != len(b) {
		return false
	}
	for k, v := range a {
		if w, ok := b[k]; !ok || v != w {
			return false
		}
	}
	return true
}

func (a *LoadBalancer) GetLrDatapathGroup() *string {
	return a.LrDatapathGroup
}

func copyLoadBalancerLrDatapathGroup(a *string) *string {
	if a == nil {
		return nil
	}
	b := *a
	return &b
}

func equalLoadBalancerLrDatapathGroup(a, b *string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if a == b {
		return true
	}
	return *a == *b
}

func (a *LoadBalancer) GetLsDatapathGroup() *string {
	return a.LsDatapathGroup
}

func copyLoadBalancerLsDatapathGroup(a *string) *string {
	if a == nil {
		return nil
	}
	b := *a
	return &b
}

func equalLoadBalancerLsDatapathGroup(a, b *string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if a == b {
		return true
	}
	return *a == *b
}

func (a *LoadBalancer) GetName() string {
	return a.Name
}

func (a *LoadBalancer) GetOptions() map[string]string {
	return a.Options
}

func copyLoadBalancerOptions(a map[string]string) map[string]string {
	if a == nil {
		return nil
	}
	b := make(map[string]string, len(a))
	for k, v := range a {
		b[k] = v
	}
	return b
}

func equalLoadBalancerOptions(a, b map[string]string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if len(a) != len(b) {
		return false
	}
	for k, v := range a {
		if w, ok := b[k]; !ok || v != w {
			return false
		}
	}
	return true
}

func (a *LoadBalancer) GetProtocol() *LoadBalancerProtocol {
	return a.Protocol
}

func copyLoadBalancerProtocol(a *LoadBalancerProtocol) *LoadBalancerProtocol {
	if a == nil {
		return nil
	}
	b := *a
	return &b
}

func equalLoadBalancerProtocol(a, b *LoadBalancerProtocol) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if a == b {
		return true
	}
	return *a == *b
}

func (a *LoadBalancer) GetVips() map[string]string {
	return a.Vips
}

func copyLoadBalancerVips(a map[string]string) map[string]string {
	if a == nil {
		return nil
	}
	b := make(map[string]string, len(a))
	for k, v := range a {
		b[k] = v
	}
	return b
}

func equalLoadBalancerVips(a, b map[string]string) bool {
	if (a == nil) != (b == nil) {
		return false
	}
	if len(a) != len(b) {
		return false
	}
	for k, v := range a {
		if w, ok := b[k]; !ok || v != w {
			return false
		}
	}
	return true
}

func (a *LoadBalancer) DeepCopyInto(b *LoadBalancer) {
	*b = *a
	b.DatapathGroup = copyLoadBalancerDatapathGroup(a.DatapathGroup)
	b.Datapaths = copyLoadBalancerDatapaths(a.Datapaths)
	b.ExternalIDs = copyLoadBalancerExternalIDs(a.ExternalIDs)
	b.LrDatapathGroup = copyLoadBalancerLrDatapathGroup(a.LrDatapathGroup)
	b.LsDatapathGroup = copyLoadBalancerLsDatapathGroup(a.LsDatapathGroup)
	b.Options = copyLoadBalancerOptions(a.Options)
	b.Protocol = copyLoadBalancerProtocol(a.Protocol)
	b.Vips = copyLoadBalancerVips(a.Vips)
}

func (a *LoadBalancer) DeepCopy() *LoadBalancer {
	b := new(LoadBalancer)
	a.DeepCopyInto(b)
	return b
}

func (a *LoadBalancer) CloneModelInto(b model.Model) {
	c := b.(*LoadBalancer)
	a.DeepCopyInto(c)
}

func (a *LoadBalancer) CloneModel() model.Model {
	return a.DeepCopy()
}

func (a *LoadBalancer) Equals(b *LoadBalancer) bool {
	return a.UUID == b.UUID &&
		equalLoadBalancerDatapathGroup(a.DatapathGroup, b.DatapathGroup) &&
		equalLoadBalancerDatapaths(a.Datapaths, b.Datapaths) &&
		equalLoadBalancerExternalIDs(a.ExternalIDs, b.ExternalIDs) &&
		equalLoadBalancerLrDatapathGroup(a.LrDatapathGroup, b.LrDatapathGroup) &&
		equalLoadBalancerLsDatapathGroup(a.LsDatapathGroup, b.LsDatapathGroup) &&
		a.Name == b.Name &&
		equalLoadBalancerOptions(a.Options, b.Options) &&
		equalLoadBalancerProtocol(a.Protocol, b.Protocol) &&
		equalLoadBalancerVips(a.Vips, b.Vips)
}

func (a *LoadBalancer) EqualsModel(b model.Model) bool {
	c := b.(*LoadBalancer)
	return a.Equals(c)
}

var _ model.CloneableModel = &LoadBalancer{}
var _ model.ComparableModel = &LoadBalancer{}
