// Copyright 2020 VMware, Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package registry

import (
	"github.com/vmware/go-ipfix/pkg/entities"
)

// AUTO GENERATED, DO NOT CHANGE

func loadIANARegistry() {
	registerInfoElement(*entities.NewInfoElement("octetDeltaCount", 1, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("packetDeltaCount", 2, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("deltaFlowCount", 3, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("protocolIdentifier", 4, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ipClassOfService", 5, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("tcpControlBits", 6, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("sourceTransportPort", 7, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("sourceIPv4Address", 8, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("sourceIPv4PrefixLength", 9, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ingressInterface", 10, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("destinationTransportPort", 11, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("destinationIPv4Address", 12, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("destinationIPv4PrefixLength", 13, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("egressInterface", 14, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("ipNextHopIPv4Address", 15, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("bgpSourceAsNumber", 16, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("bgpDestinationAsNumber", 17, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("bgpNextHopIPv4Address", 18, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("postMCastPacketDeltaCount", 19, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("postMCastOctetDeltaCount", 20, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowEndSysUpTime", 21, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("flowStartSysUpTime", 22, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("postOctetDeltaCount", 23, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("postPacketDeltaCount", 24, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("minimumIpTotalLength", 25, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("maximumIpTotalLength", 26, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("sourceIPv6Address", 27, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("destinationIPv6Address", 28, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("sourceIPv6PrefixLength", 29, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("destinationIPv6PrefixLength", 30, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("flowLabelIPv6", 31, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("icmpTypeCodeIPv4", 32, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("igmpType", 33, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("samplingInterval", 34, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("samplingAlgorithm", 35, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("flowActiveTimeout", 36, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("flowIdleTimeout", 37, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("engineType", 38, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("engineId", 39, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("exportedOctetTotalCount", 40, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("exportedMessageTotalCount", 41, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("exportedFlowRecordTotalCount", 42, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("ipv4RouterSc", 43, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("sourceIPv4Prefix", 44, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("destinationIPv4Prefix", 45, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("mplsTopLabelType", 46, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("mplsTopLabelIPv4Address", 47, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("samplerId", 48, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("samplerMode", 49, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("samplerRandomInterval", 50, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("classId", 51, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("minimumTTL", 52, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("maximumTTL", 53, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("fragmentIdentification", 54, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("postIpClassOfService", 55, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("sourceMacAddress", 56, 12, 0, 6), 0)
	registerInfoElement(*entities.NewInfoElement("postDestinationMacAddress", 57, 12, 0, 6), 0)
	registerInfoElement(*entities.NewInfoElement("vlanId", 58, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("postVlanId", 59, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("ipVersion", 60, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("flowDirection", 61, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ipNextHopIPv6Address", 62, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("bgpNextHopIPv6Address", 63, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("ipv6ExtensionHeaders", 64, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("Assigned for NetFlow v9 compatibility", 0, 255, 0, 0), 0)
	registerInfoElement(*entities.NewInfoElement("mplsTopLabelStackSection", 70, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackSection2", 71, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackSection3", 72, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackSection4", 73, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackSection5", 74, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackSection6", 75, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackSection7", 76, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackSection8", 77, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackSection9", 78, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackSection10", 79, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("destinationMacAddress", 80, 12, 0, 6), 0)
	registerInfoElement(*entities.NewInfoElement("postSourceMacAddress", 81, 12, 0, 6), 0)
	registerInfoElement(*entities.NewInfoElement("interfaceName", 82, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("interfaceDescription", 83, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("samplerName", 84, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("octetTotalCount", 85, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("packetTotalCount", 86, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flagsAndSamplerId", 87, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("fragmentOffset", 88, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("forwardingStatus", 89, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("mplsVpnRouteDistinguisher", 90, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsTopLabelPrefixLength", 91, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("srcTrafficIndex", 92, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("dstTrafficIndex", 93, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("applicationDescription", 94, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("applicationId", 95, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("applicationName", 96, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("Assigned for NetFlow v9 compatibility", 97, 255, 0, 0), 0)
	registerInfoElement(*entities.NewInfoElement("postIpDiffServCodePoint", 98, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("multicastReplicationFactor", 99, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("className", 100, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("classificationEngineId", 101, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("layer2packetSectionOffset", 102, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("layer2packetSectionSize", 103, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("layer2packetSectionData", 104, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("Assigned for NetFlow v9 compatibility", 0, 255, 0, 0), 0)
	registerInfoElement(*entities.NewInfoElement("bgpNextAdjacentAsNumber", 128, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("bgpPrevAdjacentAsNumber", 129, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("exporterIPv4Address", 130, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("exporterIPv6Address", 131, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("droppedOctetDeltaCount", 132, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("droppedPacketDeltaCount", 133, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("droppedOctetTotalCount", 134, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("droppedPacketTotalCount", 135, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowEndReason", 136, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("commonPropertiesId", 137, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("observationPointId", 138, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("icmpTypeCodeIPv6", 139, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("mplsTopLabelIPv6Address", 140, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("lineCardId", 141, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("portId", 142, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("meteringProcessId", 143, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("exportingProcessId", 144, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("templateId", 145, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("wlanChannelId", 146, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("wlanSSID", 147, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("flowId", 148, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("observationDomainId", 149, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("flowStartSeconds", 150, 14, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("flowEndSeconds", 151, 14, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("flowStartMilliseconds", 152, 15, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowEndMilliseconds", 153, 15, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowStartMicroseconds", 154, 16, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowEndMicroseconds", 155, 16, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowStartNanoseconds", 156, 17, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowEndNanoseconds", 157, 17, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowStartDeltaMicroseconds", 158, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("flowEndDeltaMicroseconds", 159, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("systemInitTimeMilliseconds", 160, 15, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowDurationMilliseconds", 161, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("flowDurationMicroseconds", 162, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("observedFlowTotalCount", 163, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("ignoredPacketTotalCount", 164, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("ignoredOctetTotalCount", 165, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("notSentFlowTotalCount", 166, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("notSentPacketTotalCount", 167, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("notSentOctetTotalCount", 168, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("destinationIPv6Prefix", 169, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("sourceIPv6Prefix", 170, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("postOctetTotalCount", 171, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("postPacketTotalCount", 172, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowKeyIndicator", 173, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("postMCastPacketTotalCount", 174, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("postMCastOctetTotalCount", 175, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("icmpTypeIPv4", 176, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("icmpCodeIPv4", 177, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("icmpTypeIPv6", 178, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("icmpCodeIPv6", 179, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("udpSourcePort", 180, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("udpDestinationPort", 181, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("tcpSourcePort", 182, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("tcpDestinationPort", 183, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("tcpSequenceNumber", 184, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("tcpAcknowledgementNumber", 185, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("tcpWindowSize", 186, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("tcpUrgentPointer", 187, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("tcpHeaderLength", 188, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ipHeaderLength", 189, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("totalLengthIPv4", 190, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("payloadLengthIPv6", 191, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("ipTTL", 192, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("nextHeaderIPv6", 193, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("mplsPayloadLength", 194, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("ipDiffServCodePoint", 195, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ipPrecedence", 196, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("fragmentFlags", 197, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("octetDeltaSumOfSquares", 198, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("octetTotalSumOfSquares", 199, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("mplsTopLabelTTL", 200, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackLength", 201, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackDepth", 202, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("mplsTopLabelExp", 203, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ipPayloadLength", 204, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("udpMessageLength", 205, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("isMulticast", 206, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ipv4IHL", 207, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ipv4Options", 208, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("tcpOptions", 209, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("paddingOctets", 210, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("collectorIPv4Address", 211, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("collectorIPv6Address", 212, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("exportInterface", 213, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("exportProtocolVersion", 214, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("exportTransportProtocol", 215, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("collectorTransportPort", 216, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("exporterTransportPort", 217, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("tcpSynTotalCount", 218, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("tcpFinTotalCount", 219, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("tcpRstTotalCount", 220, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("tcpPshTotalCount", 221, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("tcpAckTotalCount", 222, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("tcpUrgTotalCount", 223, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("ipTotalLength", 224, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("postNATSourceIPv4Address", 225, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("postNATDestinationIPv4Address", 226, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("postNAPTSourceTransportPort", 227, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("postNAPTDestinationTransportPort", 228, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("natOriginatingAddressRealm", 229, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("natEvent", 230, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("initiatorOctets", 231, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("responderOctets", 232, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("firewallEvent", 233, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ingressVRFID", 234, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("egressVRFID", 235, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("VRFname", 236, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("postMplsTopLabelExp", 237, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("tcpWindowScale", 238, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("biflowDirection", 239, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ethernetHeaderLength", 240, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("ethernetPayloadLength", 241, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("ethernetTotalLength", 242, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qVlanId", 243, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qPriority", 244, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qCustomerVlanId", 245, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qCustomerPriority", 246, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("metroEvcId", 247, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("metroEvcType", 248, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("pseudoWireId", 249, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("pseudoWireType", 250, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("pseudoWireControlWord", 251, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("ingressPhysicalInterface", 252, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("egressPhysicalInterface", 253, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("postDot1qVlanId", 254, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("postDot1qCustomerVlanId", 255, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("ethernetType", 256, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("postIpPrecedence", 257, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("collectionTimeMilliseconds", 258, 15, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("exportSctpStreamId", 259, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("maxExportSeconds", 260, 14, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("maxFlowEndSeconds", 261, 14, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("messageMD5Checksum", 262, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("messageScope", 263, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("minExportSeconds", 264, 14, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("minFlowStartSeconds", 265, 14, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("opaqueOctets", 266, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("sessionScope", 267, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("maxFlowEndMicroseconds", 268, 16, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("maxFlowEndMilliseconds", 269, 15, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("maxFlowEndNanoseconds", 270, 17, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("minFlowStartMicroseconds", 271, 16, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("minFlowStartMilliseconds", 272, 15, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("minFlowStartNanoseconds", 273, 17, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("collectorCertificate", 274, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("exporterCertificate", 275, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("dataRecordsReliability", 276, 11, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("observationPointType", 277, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("newConnectionDeltaCount", 278, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("connectionSumDurationSeconds", 279, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("connectionTransactionId", 280, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("postNATSourceIPv6Address", 281, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("postNATDestinationIPv6Address", 282, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("natPoolId", 283, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("natPoolName", 284, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("anonymizationFlags", 285, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("anonymizationTechnique", 286, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("informationElementIndex", 287, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("p2pTechnology", 288, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("tunnelTechnology", 289, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("encryptedTechnology", 290, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("basicList", 291, 20, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("subTemplateList", 292, 21, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("subTemplateMultiList", 293, 22, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("bgpValidityState", 294, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("IPSecSPI", 295, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("greKey", 296, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("natType", 297, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("initiatorPackets", 298, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("responderPackets", 299, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("observationDomainName", 300, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("selectionSequenceId", 301, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("selectorId", 302, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("informationElementId", 303, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("selectorAlgorithm", 304, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("samplingPacketInterval", 305, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("samplingPacketSpace", 306, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("samplingTimeInterval", 307, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("samplingTimeSpace", 308, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("samplingSize", 309, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("samplingPopulation", 310, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("samplingProbability", 311, 10, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("dataLinkFrameSize", 312, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("ipHeaderPacketSection", 313, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("ipPayloadPacketSection", 314, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("dataLinkFrameSection", 315, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsLabelStackSection", 316, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mplsPayloadPacketSection", 317, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("selectorIdTotalPktsObserved", 318, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("selectorIdTotalPktsSelected", 319, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("absoluteError", 320, 10, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("relativeError", 321, 10, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("observationTimeSeconds", 322, 14, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("observationTimeMilliseconds", 323, 15, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("observationTimeMicroseconds", 324, 16, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("observationTimeNanoseconds", 325, 17, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("digestHashValue", 326, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("hashIPPayloadOffset", 327, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("hashIPPayloadSize", 328, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("hashOutputRangeMin", 329, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("hashOutputRangeMax", 330, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("hashSelectedRangeMin", 331, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("hashSelectedRangeMax", 332, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("hashDigestOutput", 333, 11, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("hashInitialiserValue", 334, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("selectorName", 335, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("upperCILimit", 336, 10, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("lowerCILimit", 337, 10, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("confidenceLevel", 338, 10, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("informationElementDataType", 339, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("informationElementDescription", 340, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("informationElementName", 341, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("informationElementRangeBegin", 342, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("informationElementRangeEnd", 343, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("informationElementSemantics", 344, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("informationElementUnits", 345, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("privateEnterpriseNumber", 346, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("virtualStationInterfaceId", 347, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("virtualStationInterfaceName", 348, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("virtualStationUUID", 349, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("virtualStationName", 350, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("layer2SegmentId", 351, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("layer2OctetDeltaCount", 352, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("layer2OctetTotalCount", 353, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("ingressUnicastPacketTotalCount", 354, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("ingressMulticastPacketTotalCount", 355, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("ingressBroadcastPacketTotalCount", 356, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("egressUnicastPacketTotalCount", 357, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("egressBroadcastPacketTotalCount", 358, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("monitoringIntervalStartMilliSeconds", 359, 15, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("monitoringIntervalEndMilliSeconds", 360, 15, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("portRangeStart", 361, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("portRangeEnd", 362, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("portRangeStepSize", 363, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("portRangeNumPorts", 364, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("staMacAddress", 365, 12, 0, 6), 0)
	registerInfoElement(*entities.NewInfoElement("staIPv4Address", 366, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("wtpMacAddress", 367, 12, 0, 6), 0)
	registerInfoElement(*entities.NewInfoElement("ingressInterfaceType", 368, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("egressInterfaceType", 369, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("rtpSequenceNumber", 370, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("userName", 371, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("applicationCategoryName", 372, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("applicationSubCategoryName", 373, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("applicationGroupName", 374, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("originalFlowsPresent", 375, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("originalFlowsInitiated", 376, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("originalFlowsCompleted", 377, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("distinctCountOfSourceIPAddress", 378, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("distinctCountOfDestinationIPAddress", 379, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("distinctCountOfSourceIPv4Address", 380, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("distinctCountOfDestinationIPv4Address", 381, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("distinctCountOfSourceIPv6Address", 382, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("distinctCountOfDestinationIPv6Address", 383, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("valueDistributionMethod", 384, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("rfc3550JitterMilliseconds", 385, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("rfc3550JitterMicroseconds", 386, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("rfc3550JitterNanoseconds", 387, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qDEI", 388, 11, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qCustomerDEI", 389, 11, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("flowSelectorAlgorithm", 390, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("flowSelectedOctetDeltaCount", 391, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowSelectedPacketDeltaCount", 392, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowSelectedFlowDeltaCount", 393, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("selectorIDTotalFlowsObserved", 394, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("selectorIDTotalFlowsSelected", 395, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("samplingFlowInterval", 396, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("samplingFlowSpacing", 397, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowSamplingTimeInterval", 398, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("flowSamplingTimeSpacing", 399, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("hashFlowDomain", 400, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("transportOctetDeltaCount", 401, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("transportPacketDeltaCount", 402, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("originalExporterIPv4Address", 403, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("originalExporterIPv6Address", 404, 19, 0, 16), 0)
	registerInfoElement(*entities.NewInfoElement("originalObservationDomainId", 405, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("intermediateProcessId", 406, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("ignoredDataRecordTotalCount", 407, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("dataLinkFrameType", 408, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("sectionOffset", 409, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("sectionExportedOctets", 410, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qServiceInstanceTag", 411, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qServiceInstanceId", 412, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qServiceInstancePriority", 413, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qCustomerSourceMacAddress", 414, 12, 0, 6), 0)
	registerInfoElement(*entities.NewInfoElement("dot1qCustomerDestinationMacAddress", 415, 12, 0, 6), 0)
	registerInfoElement(*entities.NewInfoElement("", 416, 255, 0, 0), 0)
	registerInfoElement(*entities.NewInfoElement("postLayer2OctetDeltaCount", 417, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("postMCastLayer2OctetDeltaCount", 418, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("", 419, 255, 0, 0), 0)
	registerInfoElement(*entities.NewInfoElement("postLayer2OctetTotalCount", 420, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("postMCastLayer2OctetTotalCount", 421, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("minimumLayer2TotalLength", 422, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("maximumLayer2TotalLength", 423, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("droppedLayer2OctetDeltaCount", 424, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("droppedLayer2OctetTotalCount", 425, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("ignoredLayer2OctetTotalCount", 426, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("notSentLayer2OctetTotalCount", 427, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("layer2OctetDeltaSumOfSquares", 428, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("layer2OctetTotalSumOfSquares", 429, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("layer2FrameDeltaCount", 430, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("layer2FrameTotalCount", 431, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("pseudoWireDestinationIPv4Address", 432, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("ignoredLayer2FrameTotalCount", 433, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueInteger", 434, 7, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueOctetString", 435, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueOID", 436, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueBits", 437, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueIPAddress", 438, 18, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueCounter", 439, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueGauge", 440, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueTimeTicks", 441, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueUnsigned", 442, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueTable", 443, 21, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectValueRow", 444, 21, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectIdentifier", 445, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibSubIdentifier", 446, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("mibIndexIndicator", 447, 4, 0, 8), 0)
	registerInfoElement(*entities.NewInfoElement("mibCaptureTimeSemantics", 448, 1, 0, 1), 0)
	registerInfoElement(*entities.NewInfoElement("mibContextEngineID", 449, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibContextName", 450, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectName", 451, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectDescription", 452, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibObjectSyntax", 453, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mibModuleName", 454, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mobileIMSI", 455, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("mobileMSISDN", 456, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("httpStatusCode", 457, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("sourceTransportPortsLimit", 458, 2, 0, 2), 0)
	registerInfoElement(*entities.NewInfoElement("httpRequestMethod", 459, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("httpRequestHost", 460, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("httpRequestTarget", 461, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("httpMessageVersion", 462, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("natInstanceID", 463, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("internalAddressRealm", 464, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("externalAddressRealm", 465, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("natQuotaExceededEvent", 466, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("natThresholdEvent", 467, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("httpUserAgent", 468, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("httpContentType", 469, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("httpReasonPhrase", 470, 13, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("maxSessionEntries", 471, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("maxBIBEntries", 472, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("maxEntriesPerUser", 473, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("maxSubscribers", 474, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("maxFragmentsPendingReassembly", 475, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("addressPoolHighThreshold", 476, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("addressPoolLowThreshold", 477, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("addressPortMappingHighThreshold", 478, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("addressPortMappingLowThreshold", 479, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("addressPortMappingPerUserHighThreshold", 480, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("globalAddressMappingHighThreshold", 481, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("vpnIdentifier", 482, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("bgpCommunity", 483, 3, 0, 4), 0)
	registerInfoElement(*entities.NewInfoElement("bgpSourceCommunityList", 484, 20, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("bgpDestinationCommunityList", 485, 20, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("bgpExtendedCommunity", 486, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("bgpSourceExtendedCommunityList", 487, 20, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("bgpDestinationExtendedCommunityList", 488, 20, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("bgpLargeCommunity", 489, 0, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("bgpSourceLargeCommunityList", 490, 20, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("bgpDestinationLargeCommunityList", 491, 20, 0, 65535), 0)
	registerInfoElement(*entities.NewInfoElement("Unassigned", 0, 255, 0, 0), 0)
}
